> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiproductsproviders 1

> Get the provider information based on their identifier



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json get /api/products/providers/{identifier}
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/products/providers/{identifier}:
    get:
      tags:
        - products
      description: Get the provider information based on their identifier
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
        - name: identifier
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/V2025_02_18_Provider'
                required:
                  - data
components:
  schemas:
    V2025_02_18_Provider:
      type: object
      properties:
        id:
          type: number
        identifier:
          type: string
        content:
          type: object
          properties:
            address:
              type: object
              properties:
                addressCountry:
                  type: string
                  nullable: true
                addressLocality:
                  type: string
                  nullable: true
                addressRegion:
                  type: string
                  nullable: true
                postalCode:
                  type: string
                  nullable: true
                streetAddress:
                  type: string
                  nullable: true
              required:
                - addressCountry
                - addressLocality
                - addressRegion
                - postalCode
                - streetAddress
              nullable: true
            email:
              type: string
            heroImage:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    url:
                      type: string
                    metadata:
                      type: object
                      properties:
                        lqip:
                          type: string
                          nullable: true
                      required:
                        - lqip
                  required:
                    - url
                    - metadata
                hotspot:
                  type: object
                  properties:
                    x:
                      type: number
                      nullable: true
                    'y':
                      type: number
                      nullable: true
                    width:
                      type: number
                      nullable: true
                    height:
                      type: number
                      nullable: true
                  required:
                    - x
                    - 'y'
                    - width
                    - height
                  nullable: true
              required:
                - asset
            logo:
              type: object
              properties:
                asset:
                  type: object
                  properties:
                    url:
                      type: string
                    metadata:
                      type: object
                      properties:
                        lqip:
                          type: string
                          nullable: true
                      required:
                        - lqip
                  required:
                    - url
                    - metadata
                hotspot:
                  type: object
                  properties:
                    x:
                      type: number
                      nullable: true
                    'y':
                      type: number
                      nullable: true
                    width:
                      type: number
                      nullable: true
                    height:
                      type: number
                      nullable: true
                  required:
                    - x
                    - 'y'
                    - width
                    - height
                  nullable: true
              required:
                - asset
            website:
              type: string
            name:
              type: string
            phone:
              type: string
            seoDescription:
              type: string
              nullable: true
            seoTitle:
              type: string
            seoKeywords:
              type: array
              items:
                type: string
            seoImages:
              type: array
              items:
                type: object
                properties:
                  asset:
                    type: object
                    properties:
                      url:
                        type: string
                      metadata:
                        type: object
                        properties:
                          lqip:
                            type: string
                            nullable: true
                        required:
                          - lqip
                    required:
                      - url
                      - metadata
                  hotspot:
                    type: object
                    properties:
                      x:
                        type: number
                        nullable: true
                      'y':
                        type: number
                        nullable: true
                      width:
                        type: number
                        nullable: true
                      height:
                        type: number
                        nullable: true
                    required:
                      - x
                      - 'y'
                      - width
                      - height
                    nullable: true
                required:
                  - asset
            banner:
              type: object
              properties:
                text:
                  type: string
                  nullable: true
                enabled:
                  type: boolean
                backgroundColor:
                  type: string
                  nullable: true
                icon:
                  type: object
                  properties:
                    _type:
                      type: string
                      enum:
                        - iconPicker
                    name:
                      type: string
                    provider:
                      type: string
                      enum:
                        - mdi
                  required:
                    - _type
                    - name
                    - provider
                  nullable: true
                cta:
                  type: object
                  properties:
                    title:
                      type: string
                      nullable: true
                    color:
                      type: string
                      enum:
                        - default
                        - primary
                        - secondary
                    variant:
                      type: string
                      enum:
                        - link
                        - solid
                        - outline
                        - ghost
                    newTab:
                      type: boolean
                    product:
                      type: object
                      properties:
                        slug:
                          type: object
                          properties:
                            current:
                              type: string
                          required:
                            - current
                      required:
                        - slug
                      nullable: true
                    link:
                      type: string
                      nullable: true
                    page:
                      type: object
                      properties:
                        slug:
                          type: object
                          properties:
                            current:
                              type: string
                          required:
                            - current
                      required:
                        - slug
                      nullable: true
                  required:
                    - title
                    - color
                    - variant
                    - newTab
                  nullable: true
              required:
                - text
                - enabled
              nullable: true
          required:
            - address
            - email
            - heroImage
            - logo
            - website
            - name
            - phone
            - seoDescription
            - seoTitle
            - seoKeywords
            - seoImages
          nullable: true
      required:
        - id
        - identifier
        - content

````